# Uses of Interface
org.opensaml.soap.wssecurity.Embedded

Packages that use Embedded
Package
Description
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.

## Uses of Embedded in org.opensaml.soap.wssecurity.impl

Classes in org.opensaml.soap.wssecurity.impl that implement Embedded
Modifier and Type
Class
Description
`class`
`EmbeddedImpl`
EmbeddedImpl is the concrete implementation of `Embedded`.
Methods in org.opensaml.soap.wssecurity.impl that return Embedded
Modifier and Type
Method
Description
`Embedded`
EmbeddedBuilder.`buildObject()`
Builds a WS-Security object of the given type.
`Embedded`
EmbeddedBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.